# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|
  config.vm.box = "bento/debian-9.6"

  if Vagrant.has_plugin?("vagrant-vbguest") then
    config.vbguest.auto_update = false
  end

  config.ssh.forward_agent = true
  config.ssh.forward_x11 = true

  config.vm.provider "virtualbox" do |vb|
    vb.name = "flip-vm" 
    vb.memory = "4096"
  end

  config.vm.provision "file", source: "flip-code", destination: "flip-code"
  config.vm.provision "shell", inline: "sudo apt-get update"
  config.vm.provision "shell", inline: "sudo apt-get install -y python-pip"
  config.vm.provision "shell", inline: "pip install pulp"
  config.vm.provision "shell", inline: "python -m pip install -i https://pypi.gurobi.com gurobipy"
  config.vm.provision "shell", inline: "python -m pip install mock"
  config.vm.provision "shell", inline: "python -m pip install networkx==1.11"
end

